Mark Reviewed
POST
/transactions/mark-reviewed
const url = 'https://example.com/transactions/mark-reviewed';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"escalate":false,"note":"example","transaction_ids":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/transactions/mark-reviewed \ --header 'Content-Type: application/json' \ --data '{ "escalate": false, "note": "example", "transaction_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'Bulk, idempotent. A review mark has no draft state, like confirm_transfer and match (#175, decision 47).
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Mark Reviewed Transactions Mark Reviewed Post
object
key
additional properties
integer
Example generated
{ "additionalProperty": 1}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}